Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3177 - pgp version 5 not found (but should be)
Summary: pgp version 5 not found (but should be)
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: rpm
Version: 1.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-05-31 14:33 UTC by Brian Gunney
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-08-18 18:33:36 UTC


Attachments (Terms of Use)

Description Brian Gunney 1999-05-31 14:33:38 UTC
Rpm can't find pgp5, even though it is there.
The error message:

localhost:~/rpm/SPECS>34 rpm -ba --sign sla-1.0.spec
pgp version 5 not found: Use `%_signature pgp' instead of
`%_signature pgp5' in macro file.

The current macro definitions:
...
-14: _pgp_name  Brian T.N. Gunney <brlynn@minn.net>
-14: _pgp_path  /home/brian/.pgp
-14: _pgpbin    /usr/bin/pgp
...
-14: _signature pgp5
...

The pgp binaries:

-rwxr-xr-x   1 root     root       677589 May 31 08:41
/usr/bin/pgp*
lrwxrwxrwx   1 root     root            3 May 31 08:43
/usr/bin/pgpe -> pgp*
-rwxr-xr-x   1 root     root       678162 May 31 08:41
/usr/bin/pgpk*
lrwxrwxrwx   1 root     root            3 May 31 08:43
/usr/bin/pgps -> pgp*
lrwxrwxrwx   1 root     root            3 May 31 08:43
/usr/bin/pgpv -> pgp*

There appears to be no problem with pgp--it signed ordinary
files just fine.

When I make the _signature macro pgp instead of pgp5, rpm
asks for the pass phrase and says the phrase is not good.  I
don't know if this is a result of rpm mistaking pgp5 for
pgp2.6 or another problem.  I do NOT have any other version
of pgp on my computer.

Comment 1 Jeff Johnson 1999-05-31 15:25:59 UTC
What version of rpm?

Install pgp2.6.3 (or gnupg-0.9.7) and sign with that instead of pgp5.

Comment 2 Brian Gunney 1999-05-31 15:50:59 UTC
rpm version used: rpm-3.0.1-12

Comment 3 Jeff Johnson 1999-08-18 18:33:59 UTC
Fixed in rpm-3.0.3.


Note You need to log in before you can comment on or make changes to this bug.